// theme.scss
@import '~@angular/material/theming';

@include mat-core();

$primary-color: (
  50 : #e5e6e7,
  100 : #bec2c3,
  200 : #93999c,
  300 : #677074,
  400 : #475156,
  500 : #263238,
  600 : #222d32,
  700 : #1c262b,
  800 : #171f24,
  900 : #0d1317,
  A100 : #2aa7b4,
  A200 : #0497a7,
  A400 : #038f9f,
  A700 : #01697c,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #ffffff,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #ffffff,
    A700 : #ffffff,
  )
);
$accent-color: (
  50 : #fce5ec,
  100 : #f8bdd1,
  200 : #f392b2,
  300 : #ee6693,
  400 : #eb457b,
  500 : #e72464,
  600 : #e4205c,
  700 : #e01b52,
  800 : #dd1648,
  900 : #d70d36,
  A100 : #ffffff,
  A200 : #ffcfd7,
  A400 : #ff9cad,
  A700 : #ff8398,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #ffffff,
    500 : #ffffff,
    600 : #ffffff,
    700 : #ffffff,
    800 : #ffffff,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);
$warn-color: (
  50 : #fdf1e3,
  100 : #fbdcb9,
  200 : #f9c58a,
  300 : #f6ad5b,
  400 : #f49c37,
  500 : #f28a14,
  600 : #f08212,
  700 : #ee770e,
  800 : #ec6d0b,
  900 : #e85a06,
  A100 : #f8ce26,
  A200 : #f7c500,
  A400 : #f6bf00,
  A700 : #f1a300,
  contrast: (
    50 : #000000,
    100 : #000000,
    200 : #000000,
    300 : #000000,
    400 : #000000,
    500 : #000000,
    600 : #000000,
    700 : #000000,
    800 : #000000,
    900 : #ffffff,
    A100 : #000000,
    A200 : #000000,
    A400 : #000000,
    A700 : #000000,
  )
);

$primary: mat-palette($primary-color);
$accent:  mat-palette($accent-color, 500, 900, A100);
$warn:    mat-palette($warn-color);

$my-theme: mat-light-theme($primary, $accent, $warn);

@include angular-material-theme($my-theme);


